Upating centos using yum

Syed Rizwan Ali asked:

I am trying to update my system, been looking but cannot find any solution to my problem. When I execute yum update I am getting following error

Loaded plugins: fastestmirror, rhnplugin
There was an error communicating with RHN.
Red Hat Satellite or RHN Classic support will be disabled.
rhn-plugin: Error communicating with server. The message was:
Unable to connect to the host and port specified
Loading mirror speeds from cached hostfile
 * epel: fedora-epel.mirror.lstn.net
No packages marked for update

I actually have no idea which files to look and what to change. Any help will be highly appreciated.

My answer:


Updating RHEL requires a valid RHEL subscription.

The error message you received indicates that your server was not able to contact the relevant server to verify its subscription status.

If you are using Satellite, you need to check that you have network connectivity to the Satellite server.

If you are not using Satellite and receive updates directly from Red Hat, you need to migrate to RHEL Subscription Management using the rhn-migrate-classic-to-rhsm utility. The old Red Hat Network was decommissioned some time ago.

If you haven’t got a RHEL subscription, you need to purchase one, or switch to CentOS.

If your system somehow really is CentOS, then you need to remove the yum-rhn-plugin package: yum -y remove yum-rhn-plugin This package should not be installed on CentOS systems unless they are talking to Spacewalk/Satellite.


View the full question and any other answers on Server Fault.

Creative Commons License
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.